id: hubble-detect

info:
  name: Hubble - Detect
  author: righettod
  severity: info
  description: |
    Hubble products was detected.
  reference:
    - https://github.com/cilium/hubble
    - https://docs.cilium.io/en/stable/observability/hubble/
  metadata:
    verified: true
    max-request: 1
    shodan-query: http.title:"Hubble UI"
  tags: tech,hubble,detect

http:
  - method: GET
    path:
      - "{{BaseURL}}"

    host-redirects: true
    matchers:
      - type: dsl
        dsl:
          - 'status_code == 200'
          - 'contains_any(to_lower(body), "<title>hubble ui enterprise", "<title>hubble ui")'
        condition: and
# digest: 4a0a0047304502205f1d5a99092d4098fc05c3787bf2ee9192a885244725104587dbe063f3078baa0221009ab5fce270aba4cf115773a9608b2639b5f0977c0d4b641ae8076767e1933779:922c64590222798bb761d5b6d8e72950